Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5134)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5158)
@@ -62,26 +62,26 @@
       
       IF (ierr==0) THEN
-         do i=0,mpi_size-1
+         DO i=0,mpi_size-1
           read (unit_number,*) j,jj_nb_caldyn(i)
         enddo
       
-        do i=0,mpi_size-1
+        DO i=0,mpi_size-1
           read (unit_number,*) j,jj_nb_vanleer(i)
         enddo
       
-        do i=0,mpi_size-1
+        DO i=0,mpi_size-1
           read (unit_number,*) j,jj_nb_dissip(i)
         enddo
       
-        do i=0,mpi_size-1
+        DO i=0,mpi_size-1
           read (unit_number,*) j,distrib_phys(i)
         enddo
-	
-	CLOSE(unit_number)  
+
+    CLOSE(unit_number)
   
       else
-        do i=0,mpi_size-1
+        DO i=0,mpi_size-1
           jj_nb_caldyn(i)=(jjm+1)/mpi_size
-	  IF (i<MOD(jjm+1,mpi_size)) jj_nb_caldyn(i)=jj_nb_caldyn(i)+1
+      IF (i<MOD(jjm+1,mpi_size)) jj_nb_caldyn(i)=jj_nb_caldyn(i)+1
         enddo
       
@@ -89,8 +89,8 @@
         jj_nb_dissip(:)=jj_nb_caldyn(:)
         
-	do i=0,mpi_size-1
-	  distrib_phys(i)=(iim*(jjm-1)+2)/mpi_size
-	  IF (i<MOD(iim*(jjm-1)+2,mpi_size)) distrib_phys(i)=distrib_phys(i)+1
-	enddo
+    DO i=0,mpi_size-1
+      distrib_phys(i)=(iim*(jjm-1)+2)/mpi_size
+      IF (i<MOD(iim*(jjm-1)+2,mpi_size)) distrib_phys(i)=distrib_phys(i)+1
+    enddo
       endif
       
@@ -110,7 +110,7 @@
      INTEGER :: jj_para_end(0:mpi_size-1)
         
-      do i=0,mpi_size-1
+      DO i=0,mpi_size-1
          jj_nb_vanleer2(i)=(jjm+1)/mpi_size
-	 IF (i<MOD(jjm+1,mpi_size)) jj_nb_vanleer2(i)=jj_nb_vanleer2(i)+1
+     IF (i<MOD(jjm+1,mpi_size)) jj_nb_vanleer2(i)=jj_nb_vanleer2(i)+1
       enddo
           
@@ -126,5 +126,5 @@
       ENDDO
  
-       do i=0,MPI_Size-1
+       DO i=0,MPI_Size-1
         jj_Nb_physic(i)=jj_para_end(i)-jj_para_begin(i)+1
         IF (i/=0) THEN
@@ -135,5 +135,5 @@
       enddo
       
-      do i=0,MPI_Size-1
+      DO i=0,MPI_Size-1
         jj_Nb_physic_bis(i)=jj_para_end(i)-jj_para_begin(i)+1
         IF (i/=0) THEN
@@ -141,7 +141,7 @@
             jj_Nb_physic_bis(i)=jj_Nb_physic_bis(i)-1
           else
-	    jj_Nb_physic_bis(i-1)=jj_Nb_physic_bis(i-1)+1
-	    jj_Nb_physic_bis(i)=jj_Nb_physic_bis(i)-1
-	  ENDIF
+        jj_Nb_physic_bis(i-1)=jj_Nb_physic_bis(i-1)+1
+        jj_Nb_physic_bis(i)=jj_Nb_physic_bis(i)-1
+      ENDIF
         endif
       enddo
@@ -193,21 +193,21 @@
       CALL allgather_timer_average
 
-      do i=0,mpi_size-1
+      DO i=0,mpi_size-1
         value(i)=timer_average(jj_nb_caldyn(i),timer_caldyn,i)
-	index(i)=i
-      enddo
-      
-      do i=0,mpi_size-2
-        do j=i+1,mpi_size-1
-	  IF (value(i)>value(j)) THEN
-	    tmpvalue=value(i)
-	    value(i)=value(j)
-	    value(j)=tmpvalue
-	    
-	    tmpindex=index(i)
-	    index(i)=index(j)
-	    index(j)=tmpindex
-	   endif
-	 enddo
+    index(i)=i
+      enddo
+      
+      DO i=0,mpi_size-2
+        DO j=i+1,mpi_size-1
+      IF (value(i)>value(j)) THEN
+        tmpvalue=value(i)
+        value(i)=value(j)
+        value(j)=tmpvalue
+
+        tmpindex=index(i)
+        index(i)=index(j)
+        index(j)=tmpindex
+       endif
+     enddo
       enddo
       
@@ -215,5 +215,5 @@
       max_proc=index(mpi_size-1)           
            
-      do i=0,mpi_size-2
+      DO i=0,mpi_size-2
         minvalue=value(i)
         min_proc=index(i)
@@ -222,12 +222,12 @@
              jj_nb_caldyn(min_proc)=jj_nb_caldyn(min_proc)+1
              jj_nb_caldyn(max_proc)=jj_nb_caldyn(max_proc)-1
-	     exit
+         exit
            else
              IF (timer_average(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc)                 &
-	        -timer_delta(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc) < maxvalue) THEN
+            -timer_delta(jj_nb_caldyn(min_proc)+1,timer_caldyn,min_proc) < maxvalue) THEN
                jj_nb_caldyn(min_proc)=jj_nb_caldyn(min_proc)+1
                jj_nb_caldyn(max_proc)=jj_nb_caldyn(max_proc)-1
                exit
-	     endif
+         endif
            endif
          endif
@@ -260,21 +260,21 @@
       CALL allgather_timer_average
 
-      do i=0,mpi_size-1
+      DO i=0,mpi_size-1
         value(i)=timer_average(jj_nb_vanleer(i),timer_vanleer,i)
-	index(i)=i
-      enddo
-      
-      do i=0,mpi_size-2
-        do j=i+1,mpi_size-1
-	  IF (value(i)>value(j)) THEN
-	    tmpvalue=value(i)
-	    value(i)=value(j)
-	    value(j)=tmpvalue
-	    
-	    tmpindex=index(i)
-	    index(i)=index(j)
-	    index(j)=tmpindex
-	   endif
-	 enddo
+    index(i)=i
+      enddo
+      
+      DO i=0,mpi_size-2
+        DO j=i+1,mpi_size-1
+      IF (value(i)>value(j)) THEN
+        tmpvalue=value(i)
+        value(i)=value(j)
+        value(j)=tmpvalue
+
+        tmpindex=index(i)
+        index(i)=index(j)
+        index(j)=tmpindex
+       endif
+     enddo
       enddo
       
@@ -282,5 +282,5 @@
       max_proc=index(mpi_size-1)           
            
-      do i=0,mpi_size-2
+      DO i=0,mpi_size-2
         minvalue=value(i)
         min_proc=index(i)
@@ -291,5 +291,5 @@
              jj_nb_vanleer(min_proc)=jj_nb_vanleer(min_proc)+1
              jj_nb_vanleer(max_proc)=jj_nb_vanleer(max_proc)-1
-	     exit
+         exit
            else
              IF (timer_average(jj_nb_vanleer(min_proc)+1,timer_vanleer,min_proc) < maxvalue) THEN
@@ -297,5 +297,5 @@
                jj_nb_vanleer(max_proc)=jj_nb_vanleer(max_proc)-1
                exit
-	     endif
+         endif
            endif
          endif
@@ -329,21 +329,21 @@
       CALL allgather_timer_average
 
-      do i=0,mpi_size-1
+      DO i=0,mpi_size-1
         value(i)=timer_average(jj_nb_dissip(i),timer_dissip,i)
-	index(i)=i
-      enddo
-      
-      do i=0,mpi_size-2
-        do j=i+1,mpi_size-1
-	  IF (value(i)>value(j)) THEN
-	    tmpvalue=value(i)
-	    value(i)=value(j)
-	    value(j)=tmpvalue
-	    
-	    tmpindex=index(i)
-	    index(i)=index(j)
-	    index(j)=tmpindex
-	   endif
-	 enddo
+    index(i)=i
+      enddo
+      
+      DO i=0,mpi_size-2
+        DO j=i+1,mpi_size-1
+      IF (value(i)>value(j)) THEN
+        tmpvalue=value(i)
+        value(i)=value(j)
+        value(j)=tmpvalue
+
+        tmpindex=index(i)
+        index(i)=index(j)
+        index(j)=tmpindex
+       endif
+     enddo
       enddo
       
@@ -351,5 +351,5 @@
       max_proc=index(mpi_size-1)           
            
-      do i=0,mpi_size-2
+      DO i=0,mpi_size-2
         minvalue=value(i)
         min_proc=index(i)
@@ -359,12 +359,12 @@
              jj_nb_dissip(min_proc)=jj_nb_dissip(min_proc)+1
              jj_nb_dissip(max_proc)=jj_nb_dissip(max_proc)-1
-	     exit
+         exit
            else
              IF (timer_average(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc)         &
-	        - timer_delta(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc) < maxvalue) THEN
+            - timer_delta(jj_nb_dissip(min_proc)+1,timer_dissip,min_proc) < maxvalue) THEN
                jj_nb_dissip(min_proc)=jj_nb_dissip(min_proc)+1
                jj_nb_dissip(max_proc)=jj_nb_dissip(max_proc)-1
                exit
-	     endif
+         endif
            endif
          endif
@@ -401,7 +401,7 @@
       
       medium=0
-      do i=0,mpi_size-1
+      DO i=0,mpi_size-1
         value(i)=timer_average(jj_nb_physic(i),timer_physic,i)
-	medium=medium+value(i)
+    medium=medium+value(i)
       enddo    
       
@@ -409,5 +409,5 @@
       NbTot=0
       IF (CPPKEY_PHYS) THEN
-      do i=0,mpi_size-1
+      DO i=0,mpi_size-1
         Inc(i)=nint(klon_mpi_para_nb(i)*(medium-value(i))/value(i))
         NbTot=NbTot+Inc(i)  
@@ -418,15 +418,15 @@
       else
         Sgn=-1
-	NbTot=-NbTot
+    NbTot=-NbTot
       endif
       
       Index=0
-      do i=1,NbTot
+      DO i=1,NbTot
         Inc(Index)=Inc(Index)-Sgn
-	Index=Index+1
-	IF (Index>mpi_size-1) Index=0
-      enddo
-      
-      do i=0,mpi_size-1
+    Index=Index+1
+    IF (Index>mpi_size-1) Index=0
+      enddo
+      
+      DO i=0,mpi_size-1
         distrib_phys(i)=klon_mpi_para_nb(i)+inc(i)
       enddo
@@ -457,23 +457,23 @@
       
       IF (ierr==0) THEN
-!	write (unit_number,*) '*** Bandes caldyn ***'
-	do i=0,mpi_size-1
+!    write (unit_number,*) '*** Bandes caldyn ***'
+    DO i=0,mpi_size-1
           write (unit_number,*) i,jj_nb_caldyn(i)
         enddo
         
-!	write (unit_number,*) '*** Bandes vanleer ***' 
-        do i=0,mpi_size-1
+!    write (unit_number,*) '*** Bandes vanleer ***'
+        DO i=0,mpi_size-1
           write (unit_number,*) i,jj_nb_vanleer(i)
         enddo
        
 !        write (unit_number,*) '*** Bandes dissip ***'
-        do i=0,mpi_size-1
+        DO i=0,mpi_size-1
           write (unit_number,*) i,jj_nb_dissip(i)
         enddo
         
-	do i=0,mpi_size-1
+    DO i=0,mpi_size-1
           write (unit_number,*) i,distrib_phys(i)
         enddo
-	
+
         CLOSE(unit_number)   
       else 
